Subject: Re: bug#36803: 27.0.50; Update mode-line of every window when compilation ends

From: Kévin Le Gouguec <[email-masked]>
Date: Thu, 25 Jul 2019 15:37:37 +0200

On Thu, Jul 25, 2019 at 12:34 PM Eli Zaretskii <[email-masked]> wrote:
>
> This seems to be a regression since Emacs 25, as it works for me upto and including Emacs 24.5.  So I think it would be nice to bisect to see which change caused this, before we decide how to fix it.
>
> Thanks

If my bisection is correct, then this regression dates back from

    645c8597e7f9fbc90ffe227d2be8ce383b0777ae
    * src/process.c (status_notify): Avoid global redisplay (bug#11822)
    http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=645c8597e7f9fbc90ffe227d2be8ce383b0777ae

I can't take an in-depth look at this commit right now (may do in a
few hours); I am sending this in case the issue (and hopefully, the
ideal fix) jumps out to you.

Thanks for identifying that this is actually a regression!